<div class="container">
  <div class="row justify-content-center">
    <div class="col col-md-9 text-center card card-body">
      <h6>Update user</h6>
    </div>
  </div>
  <div class="row justify-content-center mt-2">
    <div class="col col-md-9 card card-body">
      <div class="container-fluid">
        <form [formGroup]="updateForm" (ngSubmit)="updateEmployee()">
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="">Id</label>
              <input type="text" readonly formControlName="id" class="form-control">
            </div>
            <div class="col col-md-6 form-group">
              <label for="">Registration Date</label>
              <input type="text" readonly formControlName="registrationDate" class="form-control">
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="">Email</label>
              <input type="text" readonly formControlName="email" class="form-control">
            </div>
            <div class="col col-md-6 form-group">
              <label for="">Last Update</label>
              <input type="text" readonly formControlName="lastUpdate" class="form-control">
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="name">Name</label>
              <input type="text" id="name" class="form-control" formControlName="name">
              <div class="my-0" *ngIf="updateForm.get('name').invalid && (updateForm.get('name').dirty || updateForm.get('name').touched)">
                <small class="text-danger" *ngIf="updateForm.get('name').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="updateForm.get('name').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="updateForm.get('name').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="otherName">Other Name</label>
              <input type="text" id="othertName" class="form-control" formControlName="otherName">
              <div class="my-0" *ngIf="updateForm.get('otherName').invalid && (updateForm.get('otherName').dirty || updateForm.get('otherName').touched)">
                <small class="text-danger" *ngIf="updateForm.get('otherName').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="updateForm.get('otherName').errors.maxlength">Max 50 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="surname">Surname</label>
              <input type="text" id="surname" class="form-control" formControlName="surname">
              <div class="my-0" *ngIf="updateForm.get('surname').invalid && (updateForm.get('surname').dirty || updateForm.get('surname').touched)">
                <small class="text-danger" *ngIf="updateForm.get('surname').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="updateForm.get('surname').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="updateForm.get('surname').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="secondSurname">Second Surname</label>
              <input type="text" id="sercondSurname" class="form-control" formControlName="secondSurname">
              <div class="my-0" *ngIf="updateForm.get('secondSurname').invalid && (updateForm.get('secondSurname').dirty || updateForm.get('secondSurname').touched)">
                <small class="text-danger" *ngIf="updateForm.get('secondSurname').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="updateForm.get('secondSurname').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="updateForm.get('secondSurname').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="employment">Employment Country</label>
              <select name="employment" id="employment" class="custom-select form-control" formControlName="employmentCountry">
                <option [ngValue]="'USA'">United States</option>
                <option [ngValue]="'CO'">Colombia</option>
              </select>
              <div class="my-0" *ngIf="updateForm.get('employmentCountry').invalid && (updateForm.get('employmentCountry').dirty || updateForm.get('employmentCountry').touched)">
                <small class="text-danger" *ngIf="updateForm.get('employmentCountry').errors.required">This field is required</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="area">Area</label>
              <select name="area" class="custom-select form-control" id="area" *ngIf="workAreaList && workAreaList.length > 0"  formControlName="workArea">
                <option *ngFor="let area of workAreaList" [ngValue]="area">{{area.description}}</option>
              </select>
              <div class="my-0" *ngIf="updateForm.get('workArea').invalid && (updateForm.get('workArea').dirty || updateForm.get('workArea').touched)">
                <small class="text-danger" *ngIf="updateForm.get('workArea').errors.required">This field is required</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="documentType">Document Type</label>
              <select name="documentType" id="documentType" class="custom-select form-control" formControlName="idType">
                <option [ngValue]="'CC'">Cedula Ciudadania</option>
                <option [ngValue]="'CE'">Cedula Extranjería</option>
                <option [ngValue]="'PASSPORT'">Pasaporte</option>
                <option [ngValue]="'SP'">Permiso especial</option>
              </select>
              <div class="my-0" *ngIf="updateForm.get('idType').invalid && (updateForm.get('idType').dirty || updateForm.get('idType').touched)">
                <small class="text-danger" *ngIf="updateForm.get('idType').errors.required">This field is required</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="documentNumber">Document Number</label>
              <input type="text" id="documentNumber" class="form-control" formControlName="identificationNumber">
              <div class="my-0" *ngIf="updateForm.get('identificationNumber').invalid && (updateForm.get('identificationNumber').dirty || updateForm.get('identificationNumber').touched)">
                <small class="text-danger" *ngIf="updateForm.get('identificationNumber').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="updateForm.get('identificationNumber').errors.pattern">No special characters allowed</small>
                <small class="text-danger" *ngIf="updateForm.get('identificationNumber').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-12 form-group">
              <label for="admissionDate">Admission Date</label>
              <input type="date"  [min]="minDate" [max]="dateToday" class="form-control" formControlName="admissionDate">
            </div>
          </div>
          <div class="row">
            <div class="col col-md-12">
              <button type="submit" class="btn btn-block btn-primary" [disabled]="updateForm.invalid" style="background-color: #01A3B9; border-color: #01A3B9;">Update</button>
            </div>
          </div>

          <div class="row mt-2">
            <div class="col col-md-12 alert" *ngIf="updateResponse.response" [ngClass]="{'alert-danger': updateResponse.error, 'alert-success': updateResponse.updated}">
              {{updateResponse.responseText}}
            </div>
          </div>

        </form>
      </div>
    </div>
  </div>
</div>
